org.apache.cassandra.io.util

## Class CompressedPoolingSegmentedFile.Builder

- java.lang.Object
- - org.apache.cassandra.io.util.SegmentedFile.Builder
  - - org.apache.cassandra.io.util.CompressedSegmentedFile.Builder
    - - org.apache.cassandra.io.util.CompressedPoolingSegmentedFile.Builder

- All Implemented Interfaces:
    java.lang.AutoCloseable
  Enclosing class:
    CompressedPoolingSegmentedFile

      public static class CompressedPoolingSegmentedFile.Builder
      extends CompressedSegmentedFile.Builder

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.io.util.CompressedSegmentedFile.Builder

      `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(CompressedSequentialWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPotentialBoundary(long boundary)` Adds a position that would be a safe place for a segment boundary in the file.
    `SegmentedFile` | `complete(ChannelProxy channel, long overrideLength)` Called after all potential boundaries have been added to apply this Builder to a concrete file on disk.

    - ### Methods inherited from class org.apache.cassandra.io.util.CompressedSegmentedFile.Builder

      `metadata`

    - ### Methods inherited from class org.apache.cassandra.io.util.SegmentedFile.Builder

      `close, close, complete, complete, deserializeBounds, serializeBounds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(CompressedSequentialWriter writer)

  - ### Method Detail

    - #### addPotentialBoundary

          public void addPotentialBoundary(long boundary)

      Description copied from class: `SegmentedFile.Builder`
      Adds a position that would be a safe place for a segment boundary in the file. For a block/row based file format, safe boundaries are block/row edges.
      Overrides:
        `addPotentialBoundary` in class `CompressedSegmentedFile.Builder`
      Parameters:
        `boundary` - The absolute position of the potential boundary in the file.

    - #### complete

          public SegmentedFile complete(ChannelProxy channel,
                                        long overrideLength)

      Description copied from class: `SegmentedFile.Builder`
      Called after all potential boundaries have been added to apply this Builder to a concrete file on disk.
      Overrides:
        `complete` in class `CompressedSegmentedFile.Builder`
      Parameters:
        `channel` - The channel to the file on disk.

Copyright © 2018 The Apache Software Foundation